Subject: Re: multicasting netlink messages to groups > 31 from userspace

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 Jul 2007 16:12:44 +0200

Johannes Berg wrote:
> Hey,
> 
> Looking through the code that uses NL_NONROOT_SEND I just realised that
> it's impossible to send multicast messages from userspace to multicast
> groups with IDs higher than 31. That's not really good given that
> everywhere else we handle multicast groups up to 2^32-1 :/

Why do you want to send to a multicast group from userspace?